# Music Player

### Lightweight and Material designed Music Player

[![Privacy Policy](https://img.shields.io/static/v1?label=Privacy%20Policy&message=read&color=blueviolet&style=flat-square)](https://github.com/MaxFour/Music-Player/blob/master/docs/PRIVACY.md)
[![API](https://img.shields.io/badge/API-16%2B-orange.svg?logo=android&style=flat-square)](https://android-arsenal.com/api?level=16)
[![Telegram](https://img.shields.io/badge/Telegram-2CA5E0.svg?logo=telegram&style=flat-square)](https://t.me/max_four "Contact me in Telegram")
[![Gmail](https://img.shields.io/badge/Gmail-666666.svg?logo=gmail&logoColor=D14836&style=flat-square)](mailto:mansurov.maksud@gmail.com "Write an email")

Based on [Phonograph](https://github.com/kabouzeid/Phonograph)
<p align="center"><img width="128" height="128" src="https://raw.githubusercontent.com/MaxFour/Music-Player/master/images/Icon.png" /></p>



<img align="right" src="https://raw.githubusercontent.com/MaxFour/Music-Player/master/images/Music-Player.gif" height="500px"/>


# Features:

- **Settings**:
  - Active tabs management
  - **Themes**: Light, Dark, Black (for AMOLED)
  - Changeable **Primary color** & **Accent color**
  - Auto download artists & albums art
  - Audio focus
  - Gapless playback
  - **Blacklist**: ability to hide folders
- **Library categories**: albums, artist, all songs, genres and playlists
- **Folders browser**
- **Now playing screen**:
  - Two appearance for now playing screen: **Card** & **Flat**
  - Classical media controls: seek bar, repeat (1x, loop), skip, play/pause, shuffle
  - On the top: **Lyrics** view & **Favorite song** buttons
  - At the bottom: name of the currently **playing song** & **queue**
- Simple **queue** management
  > Tip: to move in queue long tap on the number of the song
- Flexible **tag editor**
- **Lockscreen**: blur album cover
- Search
- **Sort** options
- **Landscape** support

--------

# How to contribute

If you want to contribute to Music-Player, you are very welcome:

- translate into your language via [OneSky](https://maxfour.oneskyapp.com/)
- open issues and PRs (including a corresponding issue)

--------

# Contribution Guidelines

All contributions to this repository are considered to be licensed under the [GPLv3](https://github.com/MaxFour/Music-Player/blob/master/LICENSE)

Please read the [Code of Conduct](https://github.com/MaxFour/Music-Player/blob/master/docs/CODE_OF_CONDUCT.md). This document offers some guidance to ensure Music-Player participants can cooperate effectively in a positive and inspiring atmosphere, and to explain how together we can strengthen and support each other.

Please review the [guidelines for contributing](https://github.com/MaxFour/Music-Player/blob/master/docs/CONTRIBUTING.md) to this repository.

--------

# Start contributing

Make sure you read [SETUP.md](https://github.com/MaxFour/Music-Player/blob/master/docs/SETUP.md) and [CONTRIBUTING.md](https://github.com/MaxFour/Music-Player/blob/master/docs/CONTRIBUTING.md) before you start working on this project. But basically: fork this repository and contribute back using pull requests to the master branch.
Easy starting points are also reviewing [pull requests](https://github.com/MaxFour/Music-Player/pulls) and working on [starter issues](https://github.com/MaxFour/Music-Player/issues/new).

--------

# Download

[<img alt="Get it on F-Droid" height="80" src="https://gitlab.com/fdroid/artwork/raw/master/badge/get-it-on.png">](https://f-droid.org/repository/browse/?fdid=com.maxfour.music)
[<img alt="Get it on Github" height="80" src="https://raw.githubusercontent.com/flocke/andOTP/master/assets/badges/get-it-on-github.png">](https://github.com/MaxFour/Music-Player/releases)

--------

# Donation

WebMoney:<br>
$: Z776114750889<br>
₽: R282056119931

Yandex.Money:
- 4100 1537 2205 898

--------

# License

```
© 2020, Max_Four (mansurov.maksud@gmail.com)
```

Licensed under the GNU General Public License, Version 3.0 (the "License");
You may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.gnu.org/licenses/#GPL

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and limitations under the License.